[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# THintWindow.OffsetHintRect

Moves the hint rectangle by the specified amounts.

## Declaration

Source position: forms.pp line 1024

`public function THintWindow.OffsetHintRect(`
`AOffset: TPoint;`
`dy: Integer = 15;`
`KeepWidth: Boolean = True;`
`KeepHeight: Boolean = True`
`):Boolean;`

## Arguments

`AOffset` |  | TPoint with the horizontal and vertical offsets for the hint display.
`dy` |  | Additional vertical offset applied to the hint rectangle.
`KeepWidth` |  | Indicates the width for the hint rectangle must be maintained.
`KeepHeight` |  | Indicates the height for the hint rectangle must be maintained.

## Function result

True when the hint rectangle was successfully moved by the specified amounts.

## See also

THintWindow.HintRect |  | Contains the bounds used to display the text for the hint.
THintWindow.HintRectAdjust |  | Contains the bounds with additional space needed for the hint display.